| gclib 2.0.7 Communications API for Galil controllers and PLCs |

Public Member Functions | Data Fields
Gclib.GDataRecord30000 Struct Reference
Inheritance diagram for Gclib.GDataRecord30000:

## Public Member Functions
general input | bank (inputs 1-8). */public UB input_bank_1
| /*07
general input | bank (inputs 9-16). */public UB output_bank_0
| /*08
general output | bank (outputs 1-8). */public UB output_bank_1
| /*09
general output | bank (outputs 9-16). */public UB error_code
| /*10
A User defined variable.*[] | byte_array ()

## Data Fields
UB | header_0
| /*00
byte of Header.*UB | header_1
| /*01
byte of Header.*UB | header_2
| /*02
byte of Header.*UB | header_3
| /*03
byte of Header.*UW | sample_number
| /*04-05
sample number.*UB | input_bank_0
| /*06
error code.*UB | thread_status
| /*11
thread status.*UW | input_analog_2
| /*12-13
Analog input.is in axis | data
Analog input.is in axis see axis_a_analog_in.*UW | output_analog_1
| /*14-15
Analog output.*UW | output_analog_2
| /*16-17
Analog output.*UL | amplifier_status
| /*18-21
Amplifier Status.*UL | contour_segment_count
| /*22-25
Segment Count for Contour Mode.*UW | contour_buffer_available
| /*26-27
Buffer space | remaining
Buffer space Contour Mode.*UW | s_plane_segment_count
| /*28-29
segment count of coordinated move for S plane.*UW | s_plane_move_status
| /*30-31
coordinated move status for S plane.*SL | s_distance
| /*32-35
distance traveled in coordinated move for S plane.*UW | s_plane_buffer_available
| /*36-37
Buffer space S Plane.*UW | axis_a_status
| /*38-39
A axis status.*UB | axis_a_switches
| /*40
A axis switches.*UB | axis_a_stop_code
| /*41
A axis stop code.*SL | axis_a_reference_position
| /*42-45
A axis reference position.*SL | axis_a_motor_position
| /*46-49
A axis motor position.*SL | axis_a_position_error
| /*50-53
A axis position error.*SL | axis_a_aux_position
| /*54-57
A axis auxiliary position.*SL | axis_a_velocity
| /*58-61
A axis velocity.*SL | axis_a_torque
| /*62-65
A axis torque.*UW | axis_a_analog_in
| /*66-67
A axis analog input.*UB | axis_a_halls
| /*68
A Hall Input Status.*UB | axis_a_reserved
| /*69
Reserved.*SL | axis_a_variable
| /*70-73

## Detailed Description

Definition at line 1154 of file gclib.vb.

The documentation for this struct was generated from the following file:

- gclib.vb